Bug 1442167 - OCP Ad-Hoc metrcis fails with "504 Gateway Time-out The server didn't respond in time"
Summary: OCP Ad-Hoc metrcis fails with "504 Gateway Time-out The server didn't respond...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1439852
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 17:20 UTC by Satoe Imaishi
Modified: 2017-05-31 15:04 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439852
Environment:
Last Closed: 2017-05-31 15:04:25 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 18:13:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ca348c4761ab68f771ab59d3ac62905dd69b55f8

commit ca348c4761ab68f771ab59d3ac62905dd69b55f8
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Apr 12 08:06:11 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 14:12:14 2017 -0400

    Merge pull request #1018 from yaacov/add-hint-to-check-hawkular-when-error-originate-form-the-hawkular-client
    
    Add hint to check Hawkular when error originates from the Hawkular cl…
    (cherry picked from commit 55300f34e7f4292e7fa577b9c24c7cda9848d890)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442167

 app/services/hawkular_proxy_service.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Einat Pacifici 2017-04-20 08:27:21 UTC
Hello Yaacov, 
This BZ seems to have been handled extensively. However, I do not understand how it would be possible to reproduce it. 
Can you please describe steps to reproduce? 
Einat

Comment 4 Yaacov Zamir 2017-04-20 08:57:17 UTC
> However, I do not understand how it would be possible to reproduce it. 

Whooo that a hard question ...

You will need a malfunction Hawkular [1], if Hawkular does "504 Gateway Time-out" , and users may think the problem is with CFME, but in fact they have to check their Hawkular.

Bug:
you will get an error message that say "504 Gateway Time-out"

Fix:
you will get an error message that say "Gateway Time-out (please check your hawkular server)"

[1] We can simulate negative flows like that using the MoHawk server, that is built especially for simulating errors in Hawkular and large scale databases.

backported to fine
https://github.com/ManageIQ/manageiq-ui-classic/pull/1018

Comment 5 Mooli Tayer 2017-04-20 11:56:47 UTC
Moving back to ON_QA.

Yaacov should stopping hawakular's pod show this error message?

Comment 6 Yaacov Zamir 2017-04-20 11:58:06 UTC
> should stopping hawakular's pod show this error message?

no, but it will show a different one ...

Comment 8 errata-xmlrpc 2017-05-31 15:04:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.